%define name    sweep 
%define version 0.9.3
%define release %mkrel 4

Summary: 	Sound sample editor 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://sweep.sourceforge.net/
Source:	 	http://prdownloads.sourceforge.net/sweep/%{name}-%{version}.tar.gz
#gw received by mail from Pavel Fric
Source1:	cs.po
Patch: sweep-0.9.3-add-cs-po.patch
License: 	GPLv2+
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  gtk+2-devel
BuildRequires:  libmad-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel >= 1.0.2
BuildRequires:  libspeex-devel
BuildRequires:  libalsa-devel
BuildRequires:  tdb-devel
BuildRequires:  libvorbis-devel
BuildRequires:  librsvg
BuildRequires:  desktop-file-utils
#gw aclocal
Buildrequires: gettext-devel
#gw lam also has a binary named sweep
Conflicts:	lam-runtime
%description
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins. Inside lives a pesky little virtual stylus called
Scrubby who enjoys mixing around in your files.

%package devel
Summary: C headers for developing Sweep plugins
Group: Development/C
Requires: %name = %version

%description devel
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins. Inside lives a pesky little virtual stylus called
Scrubby who enjoys mixing around in your files.

This package contains the C headers needed to compile plugins for Sweep.


%prep
%setup -q
%patch -p1
cp %SOURCE1 po/
aclocal
autoconf
automake -a -c
libtoolize --install --force

%build
%configure2_5x --enable-alsa

%make dist

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs
rm -rf %buildroot%_datadir/locale/en_AU
%{find_lang} %{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --add-category="AudioVideo" \
  --add-category="Audio" \
  --add-category="Sequencer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
rsvg -w 48 -h 48 %name.svg %buildroot%_liconsdir/%name.png
rsvg -w 32 -h 32 %name.svg %buildroot%_iconsdir/%name.png
rsvg -w 16 -h 16 %name.svg %buildroot%_miconsdir/%name.png


%post
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%{update_menus}
%endif
 
%postun
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%{clean_menus}  
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS
%{_bindir}/*
%{_mandir}/man1/*
%_datadir/applications/%name.desktop
%{_datadir}/pixmaps/*
%dir %_libdir/sweep/
%_libdir/sweep/*.so*
%dir %_datadir/sweep/
%_datadir/sweep/sweep_splash.png
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files devel 
%defattr(-,root,root)
%doc doc/*.txt
%dir %_includedir/%name
%_includedir/%name/*.h




%changelog
* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.9.3-4mdv2010.1
+ Revision: 460850
- add Czech translation by Pavel Fric
- update license
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix BR on x86_64
    - rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-2mdv2009.0
+ Revision: 269398
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 11 2008 Götz Waschk <waschk@mandriva.org> 0.9.3-1mdv2009.0
+ Revision: 192594
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.0
+ Revision: 116971
- new version
- update file list

* Thu Jan 18 2007 Lenny Cartier <lenny@mandriva.com> 0.9.1-4mdv2007.1
+ Revision: 110303
- Buildrequires
- Rebuild for dependencies
- Import sweep

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-2mdv2007.0
- XDG

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Wed Jan 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- fix icons
- this one depends on gtk2
- New release 0.9.0
- use mkrel

* Tue Aug 23 2005 Gtz Waschk <waschk@mandriva.org> 0.8.4-1mdk
- drop alsa workaround
- New release 0.8.4

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-3mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-2mdk
- reenable libtoolize

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- don't libtoolize
- use the right configure macro
- fix menu dir
- fix source URL
- new version

